aboutsummaryrefslogtreecommitdiff
path: root/.travis/test_06_script_b.sh
diff options
context:
space:
mode:
authorMarcoFalke <falke.marco@gmail.com>2019-02-01 17:17:36 -0500
committerMarcoFalke <falke.marco@gmail.com>2019-02-01 17:18:03 -0500
commitb3a715301a0fd972fb2f3bd36e2680b3cdbbab26 (patch)
treef9f233e70c227d5136e9fd6a7fbc25aef9b316bf /.travis/test_06_script_b.sh
parent2c0867a1811bd7120aa66d98723ae96b065a3c1b (diff)
parentfacaae4cc4b3a44fb0332a40865eed8f2bbd6864 (diff)
Merge #15303: travis: Remove unused FUNCTIONAL_TESTS_CONFIG
facaae4cc4 travis: Save cache when compilation took very long (MarcoFalke) faee6c9cac travis: Remove unused FUNCTIONAL_TESTS_CONFIG (MarcoFalke) Pull request description: Closes #14163 Tree-SHA512: fb3dd0b7a0a3ee7ac1c6d4e9314239cd03ab4a11f04b6345ef4a1f50ea2b79ea4248c41e99a6fb923a4b1b477758c4fa665d56a4ab703acf5a58dbc7d852ffc4
Diffstat (limited to '.travis/test_06_script_b.sh')
-rwxr-xr-x.travis/test_06_script_b.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/.travis/test_06_script_b.sh b/.travis/test_06_script_b.sh
new file mode 100755
index 0000000000..472448a658
--- /dev/null
+++ b/.travis/test_06_script_b.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+#
+# Copyright (c) 2018 The Bitcoin Core developers
+# Distributed under the MIT software license, see the accompanying
+# file COPYING or http://www.opensource.org/licenses/mit-license.php.
+
+export LC_ALL=C.UTF-8
+
+cd "build/bitcoin-$HOST" || (echo "could not enter distdir build/bitcoin-$HOST"; exit 1)
+
+if [ "$RUN_UNIT_TESTS" = "true" ]; then
+ BEGIN_FOLD unit-tests
+ DOCKER_EXEC LD_LIBRARY_PATH=$TRAVIS_BUILD_DIR/depends/$HOST/lib make $MAKEJOBS check VERBOSE=1
+ END_FOLD
+fi
+
+if [ "$TRAVIS_EVENT_TYPE" = "cron" ]; then
+ extended="--extended --exclude feature_pruning"
+fi
+
+if [ "$RUN_FUNCTIONAL_TESTS" = "true" ]; then
+ BEGIN_FOLD functional-tests
+ DOCKER_EXEC test/functional/test_runner.py --ci --combinedlogslen=4000 --coverage --quiet --failfast ${extended}
+ END_FOLD
+fi